Subject: bug#43666: [grep-3.5] make failed on Solaris 11.3 x86/x64

From: Kiyoshi KANAZAWA <[email-masked]>
Date: Mon, 28 Sep 2020 17:15:36 +0900 (JST)

Hi,

Yes, I have libsigsegv.
$ pkg info libsigsegv
          Name: library/libsigsegv
       Summary: libsigsegv - handling page faults in user mode
   Description: libsigsegv provides a set of functions for handling page faults
                in user mode
      Category: System/Libraries
         State: Installed
     Publisher: solaris
       Version: 2.6
 Build Release: 5.11
        Branch: 0.175.3.0.0.30.0
Packaging Date: Fri Aug 21 16:55:38 2015
          Size: 88.46 kB
          FMRI: pkg://solaris/library/[email-masked],5.11-0.175.3.0.0.30.0:20150821T165538Z

$ find /usr -name 'libsigsegv*' | sort
/usr/lib/amd64/libsigsegv.so
/usr/lib/amd64/libsigsegv.so.0
/usr/lib/amd64/libsigsegv.so.0.0.0
/usr/lib/libsigsegv.so
/usr/lib/libsigsegv.so.0
/usr/lib/libsigsegv.so.0.0.0

And I found make & make check passes with 64 bit, such as CC='gcc -m64'.

$ ./configure CC='gcc -m64'
$ make
$ make check
  :
# TOTAL: 192
# PASS:  171
# SKIP:  21
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0

I do not understand why it does not go with 32 bit.
src/Makefile, config.h and config.log are attached.

Regards,

--- Kiyoshi

----- Original Message -----
> From: Paul Eggert <[email-masked]>
> To: Kiyoshi KANAZAWA <[email-masked]>
> Cc: [email-masked]
> Date: 2020/9/28, Mon 16:46
> Subject: Re: bug#43666: [grep-3.5] make failed on Solaris 11.3 x86/x64
> 
> It worked for us on Solaris 10; see:
> 
> https://buildfarm.opencsw.org/buildbot/builders/ggrep-solaris10-sparc/builds/205 
> 
> 
> so either there's something different about Solaris 11, or something else 
> different on your setup (maybe you have libsigsegv installed?).
> 
> On 9/27/20 11:55 PM, Kiyoshi KANAZAWA wrote:
> 
>>  $ ./configure CC=gcc
> 
> What's the output of that command? In particular, what does it say here?
> 
> ...
> checking for a traditional french locale... none
> checking for working C stack overflow detection... yes
> checking for correct stack_t interpretation... yes
> checking for precise C stack overflow detection... yes
> checking for ld used by gcc -std=gnu99... /usr/ccs/bin/ld
> checking if the linker (/usr/ccs/bin/ld) is GNU ld... no
> checking for shared library run path origin... done
> checking 32-bit host C ABI... yes
> checking for ELF binary format... yes
> checking for the common suffixes of directories in the library search path... 
> lib,lib,lib
> checking for libsigsegv... no, consider installing GNU libsigsegv
> checking how gcc -std=gnu99 reports undeclared, standard C functions... error
> ...
> 
> (This is a copy of what I got on Solaris 10 when configuring with 
> "./configure 
> CC=gcc".)
> 
> What are the contents of src/Makefile, config.h, and config.log? Please send 
> them as attachments.
> 
> Thanks.
>